Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
@@ -307,147 +307,147 @@
   </synapse>
   <synapse id="19" priority="1000000">
     <action_set>
-      <pseudo_event id="30" operation="promoted" operation_key="lxc-ms-master_promoted_0">
+      <pseudo_event id="31" operation="promoted" operation_key="lxc-ms-master_promoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="21" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="22" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="20">
     <action_set>
-      <pseudo_event id="29" operation="promote" operation_key="lxc-ms-master_promote_0">
+      <pseudo_event id="30" operation="promote" operation_key="lxc-ms-master_promote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="26" operation="running" operation_key="lxc-ms-master_running_0"/>
+        <pseudo_event id="27" operation="running" operation_key="lxc-ms-master_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="28" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="29" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="32" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="33" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21" priority="1000000">
     <action_set>
-      <pseudo_event id="28" operation="stopped" operation_key="lxc-ms-master_stopped_0">
+      <pseudo_event id="29" operation="stopped" operation_key="lxc-ms-master_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="19" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="22" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="27" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="28" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <pseudo_event id="27" operation="stop" operation_key="lxc-ms-master_stop_0">
+      <pseudo_event id="28" operation="stop" operation_key="lxc-ms-master_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="32" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="33" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="40" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23" priority="1000000">
     <action_set>
-      <pseudo_event id="26" operation="running" operation_key="lxc-ms-master_running_0">
+      <pseudo_event id="27" operation="running" operation_key="lxc-ms-master_running_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="20" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="21" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
       <trigger>
-        <rsc_op id="23" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3"/>
+        <rsc_op id="24" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="26" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24">
     <action_set>
-      <pseudo_event id="25" operation="start" operation_key="lxc-ms-master_start_0">
+      <pseudo_event id="26" operation="start" operation_key="lxc-ms-master_start_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="28" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="29" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="32" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="33" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <rsc_op id="35" operation="monitor" operation_key="lxc1_monitor_30000" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="36" operation="monitor" operation_key="lxc1_monitor_30000" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="34" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="35" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="34" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="35" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_name="start" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="7" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+        <rsc_op id="9" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="15" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="16" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stop" operation_key="lxc1_stop_0"/>
+        <pseudo_event id="34" operation="stop" operation_key="lxc1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <pseudo_event id="33" operation="stop" operation_key="lxc1_stop_0">
+      <pseudo_event id="34" operation="stop" operation_key="lxc1_stop_0">
         <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -455,7 +455,7 @@
   </synapse>
   <synapse id="28">
     <action_set>
-      <rsc_op id="8" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3">
+      <rsc_op id="9" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -464,7 +464,7 @@
   </synapse>
   <synapse id="29">
     <action_set>
-      <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5">
+      <rsc_op id="7" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-4" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -473,7 +473,7 @@
   </synapse>
   <synapse id="30">
     <action_set>
-      <rsc_op id="5" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4">
+      <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -482,48 +482,48 @@
   </synapse>
   <synapse id="31">
     <action_set>
-      <rsc_op id="38" operation="monitor" operation_key="lxc2_monitor_30000" on_node="rhel7-3" on_node_uuid="4">
+      <rsc_op id="39" operation="monitor" operation_key="lxc2_monitor_30000" on_node="rhel7-3" on_node_uuid="4">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="37" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="38" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="32">
     <action_set>
-      <rsc_op id="37" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4">
+      <rsc_op id="38" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_name="start" CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="5" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="8" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+        <rsc_op id="10" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="17" operation="start" operation_key="container2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="18" operation="start" operation_key="container2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stop" operation_key="lxc2_stop_0"/>
+        <pseudo_event id="37" operation="stop" operation_key="lxc2_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
     <action_set>
-      <pseudo_event id="36" operation="stop" operation_key="lxc2_stop_0">
+      <pseudo_event id="37" operation="stop" operation_key="lxc2_stop_0">
         <attributes CRM_meta_container="container2" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -531,7 +531,7 @@
   </synapse>
   <synapse id="34">
     <action_set>
-      <rsc_op id="9" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3">
+      <rsc_op id="10" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -540,7 +540,7 @@
   </synapse>
   <synapse id="35">
     <action_set>
-      <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5">
+      <rsc_op id="8" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-4" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -549,7 +549,7 @@
   </synapse>
   <synapse id="36">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="5" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
@@ -558,20 +558,7 @@
   </synapse>
   <synapse id="37">
     <action_set>
-      <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1">
-        <attributes CRM_meta_connected="1" CRM_meta_on_node="rhel7-1" CRM_meta_on_node_uuid="1" CRM_meta_shutdown="0" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="1"/>
-          <node id="lxc2"/>
-          <node id="lxc1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="38">
-    <action_set>
-      <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2">
+      <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2">
         <attributes CRM_meta_master_lxc_ms="5" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc2"/>
@@ -580,13 +567,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="stop" operation_key="container2_stop_0"/>
+        <pseudo_event id="17" operation="stop" operation_key="container2_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="39">
+  <synapse id="38">
     <action_set>
-      <pseudo_event id="40" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1">
+      <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1">
         <attributes CRM_meta_last_failure_lxc_ms="1458766329" CRM_meta_master_lxc_ms="10" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc1"/>
@@ -595,80 +582,93 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="container1_stop_0"/>
+        <pseudo_event id="15" operation="stop" operation_key="container1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="40">
+  <synapse id="39">
     <action_set>
-      <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="40" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="40" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
       <trigger>
-        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="41">
+  <synapse id="40">
     <action_set>
-      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="5" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="7" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="8" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+        <rsc_op id="9" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+        <rsc_op id="10" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="10" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="11" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <pseudo_event id="11" operation="stop" operation_key="rsc_rhel7-1_stop_0"/>
+        <pseudo_event id="12" operation="stop" operation_key="rsc_rhel7-1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="container1_stop_0"/>
+        <pseudo_event id="15" operation="stop" operation_key="container1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="stop" operation_key="container2_stop_0"/>
+        <pseudo_event id="17" operation="stop" operation_key="container2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="22" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stop" operation_key="lxc1_stop_0"/>
+        <pseudo_event id="34" operation="stop" operation_key="lxc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="36" operation="stop" operation_key="lxc2_stop_0"/>
+        <pseudo_event id="37" operation="stop" operation_key="lxc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="40" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="41">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1">
+        <attributes CRM_meta_connected="1" CRM_meta_on_node="rhel7-1" CRM_meta_on_node_uuid="1" CRM_meta_shutdown="0" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="1"/>
+          <node id="lxc2"/>
+          <node id="lxc1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
